<?php
/**
 * Tlamatini Super Modern Theme for Elgg
 *
 * 
 */

elgg_register_event_handler('init','system','tlamatini_theme_init');

function tlamatini_theme_init() {

	elgg_register_event_handler('pagesetup', 'system', 'tlamatini_theme_pagesetup', 1000);

	// theme specific CSS
	elgg_extend_view('css/elgg', 'tlamatini_theme/css');

	elgg_register_plugin_hook_handler('head', 'page', 'tlamatini_theme_setup_head');

	elgg_register_js('respond', 'mod/tlamatini/vendors/js/respond.min.js');
	elgg_load_js('respond');

	// non-members do not get visible links to RSS feeds
	if (!elgg_is_logged_in()) {
		elgg_unregister_plugin_hook_handler('output:before', 'layout', 'elgg_views_add_rss_link');
	}

   elgg_register_plugin_hook_handler('index','system','tlamatini_index');
}

function tlamatini_index() {
    if (!include_once(dirname(dirname(__FILE__)) . "/tlamatini/index.php"))
        return false;
 
    return true;
}



function tlamatini_theme_setup_head($hook, $type, $data) {
	$data['metas'][] = array(
		'name' => 'viewport',
		'content' => 'width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0',
	);
    
    // https://developer.chrome.com/multidevice/android/installtohomescreen
    $data['metas'][] = array(
        'name' => 'mobile-web-app-capable',
        'content' => 'yes',
    );

    $data['metas'][] = array(
        'name' => 'apple-mobile-web-app-capable',
        'content' => 'yes',
    );

	$data['links'][] = array(
		'rel' => 'apple-touch-icon',
		'href' => elgg_normalize_url('mod/tlamatini/graphics/homescreen.png'),
	);

	return $data;
}
